Class | Ramaze::Cache::Sequel
In: | lib/ramaze/cache/sequel.rb
Parent: | Object

Cache based on a Sequel model using relational databases.

Please note that this cache might not work perfectly with Sequel 3.0.0, as the #[] and #[]= methods do not respect serialization. I‘ll lobby for a change in that direction.

### Methods

cache_clear cache_delete cache_fetch cache_setup cache_store namespaced

### Included Modules

Cache::API

### Classes and Modules

Class Ramaze::Cache::Sequel::Table

### Public Instance methods

cache_clear()

Wipe out all data in the table, use with care.

cache_delete(*keys)

Delete records for given `keys`

cache_fetch(key, default = nil)
cache_setup(host, user, app, name)

Setup the table, not suitable for multiple apps yet.

cache_store(key, value, options = {})
namespaced(key)

[Validate]